View Issue Details

IDProjectCategoryView StatusLast Update
0002078CentOS-5system-config-httpdpublic2009-02-18 17:04
Reportertominglis 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version5.0 - i386 
Target VersionFixed in Version5.2 
Summary0002078: system-config-httpd overwrites httpd.conf with broken file.
DescriptionThis tool overwrites the Apache 2.2 config file with an Apache 2.0 config file which contains a number of non-functional modules (i.e. modules which are not installed).
TagsNo tags attached.

Relationships

has duplicate 0001904 resolvedrange GUI Interface generates incompatible httpd.conf file 
has duplicate 0002674 newkbsingh@karan.org Configuration tool 'corrupts' httpd.conf the first time it runs 

Activities

JohnnyHughes

JohnnyHughes

2007-05-24 17:23

administrator   ~0005222

I have confirmed this issue. testing if it is upstream or a centos problem now.
JohnnyHughes

JohnnyHughes

2007-05-24 17:39

administrator   ~0005223

This issue is validated as an upstream error:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=241259
nlights

nlights

2007-06-18 19:58

reporter   ~0005428

Bug 1904 seems to have the same reason: http://bugs.centos.org/view.php?id=1904
jdawson

jdawson

2007-09-28 03:25

reporter   ~0006067

I noticed a bug in the redhat bugzilla database affecting Fedora similar to this issue: https://bugzilla.redhat.com/show_bug.cgi?id=180056
On a whim I tried applying the patch included with that bug report and it appears to have corrected the problem although I haven't had time to fully test it.
PatrickMoelands

PatrickMoelands

2007-11-23 11:49

reporter   ~0006367

The initial problem (using graphical configurator cripples the httpd.conf file) without any patching also occurs with CentOS 5.1 beta.
range

range

2009-02-18 17:04

administrator   ~0008755

This has been fixed in 5.2

Issue History

Date Modified Username Field Change
2007-05-24 16:03 tominglis New Issue
2007-05-24 16:03 tominglis Status new => assigned
2007-05-24 17:23 JohnnyHughes Note Added: 0005222
2007-05-24 17:23 JohnnyHughes Status assigned => acknowledged
2007-05-24 17:39 JohnnyHughes Note Added: 0005223
2007-05-24 17:39 JohnnyHughes Status acknowledged => confirmed
2007-06-18 19:58 nlights Note Added: 0005428
2007-06-18 22:45 range Relationship added has duplicate 0001904
2007-09-28 03:25 jdawson Note Added: 0006067
2007-11-23 11:49 PatrickMoelands Note Added: 0006367
2008-02-12 17:29 Evolution Relationship added has duplicate 0002674
2009-02-18 17:04 range Note Added: 0008755
2009-02-18 17:04 range Status confirmed => closed
2009-02-18 17:04 range Resolution open => fixed
2009-02-18 17:04 range Fixed in Version => 5.2